#!/usr/bin/make -rf

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
CONFIGURE_FLAGS += \
	-DCPUINFO_BUILD_UNIT_TESTS=OFF
	-DCPUINFO_BUILD_MOCK_TESTS=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)
